'use strict';

exports.__esModule = true;
exports.default = reactFromObject;

var _react = require('react');

function reactFromObject(node) {
  if (!node.type) {
    return node;
  }

  var type = node.type,
      props = node.props,
      children = node.children;


  if (Array.isArray(children)) {
    return _react.createElement.apply(undefined, [type, props].concat(children.map(reactFromObject)));
  }

  if (children) {
    return (0, _react.createElement)(type, props, reactFromObject(children));
  }

  return (0, _react.createElement)(type, props);
}